metadata:
  name: hmi-audio-detail-view
  format: "Apertis Test Definition 1.0"
  image-types:
    target: [armhf, amd64 ]
    sdk:     [ amd64 ]
  image-deployment:
    - APT
    - OSTree
  type: compatibility
  exec-type: manual
  priority: medium
  maintainer: "Apertis Project"
  description: "Test that the songs play in detail view"
  pre-conditions:
    - "The respective target (i.MX6 or Minnowboard) should be on and running"
    - "Lilluput/LVDS touch screens must be connected to the respective targets" 
  expected:
    - "Transition to detail view should happen and the first track of an album which is in focus should start playing"
run:
 steps:
   - "Open Music Application"
   - "From the drop down menu select the Detail view drawer button"
   - "Click on the thumbnails to play any song"
